Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime.powerassert
[Java] Class Value

    java.lang.Object
      org.codehaus.groovy.runtime.powerassert.Value

    public class Value
    extends java.lang.Object

A value recorded during evaluation of an assertion, along with the column it is associated with in the assertion's normalized source text.

Authors:
  Peter Niederwieser

Constructor Summary
`Value(java.lang.Object value, int column)`

Method Summary
`int` | `getColumn()`
`java.lang.Object` | `getValue()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### Value

    public Value(java.lang.Object value, int column)

Method Detail

### getColumn

    public int getColumn()

### getValue

    public java.lang.Object getValue()

Groovy Documentation